<template>
  <section class="container">
    <div>
      <h1 class="title">
        pear
      </h1>
      <h2 class="subtitle">
        date your tutor
      </h2>
<div v-if="!this.$store.state.user">
      <p>Login with:</p>
      <div class="uk-grid">
        <div class="uk-animation-slide-left">
          <button v-on:click="google" class="uk-button uk-button-default uk-border-rounded"><i class="fab fa-google"></i> Google</button>
        </div>
        <div class="uk-animation-slide-right">
          <button v-on:click="facebook" class="uk-button uk-button-default uk-border-rounded"><i class="fab fa-facebook-f"></i> Facebook</button>
        </div>
      </div>
      <hr>
      <nuxt-link to="/" class="uk-button uk-button-primary uk-border-rounded">Back</nuxt-link>
</div> 

<div v-if="this.$store.state.user != null">
    <span class="uk-label">You are logged in <i class="far fa-smile fa-spin"></i></span>
    <hr>
    <div class="uk-grid uk-flex">
      <div class="uk-animation-slide-left uk-width-1-2">
        <nuxt-link to="/app" class="uk-button uk-button-default uk-border-rounded">Enter</nuxt-link>
      </div>
      <div class="uk-animation-slide-right uk-width-1-2">
        <nuxt-link to="/" class="uk-button uk-button-default uk-border-rounded">Back</nuxt-link>
      </div>
    </div>
</div>

</div>

  </section>
</template>

<script>

export default {
  data() {
    return {
      provider: '',
    }
  },
  methods: {
    facebook: function () {
      this.provider = 'fb'
      this.$store.dispatch('fbMethod')
      this.$store.dispatch('signIn', {
        provider: this.provider
      })
      /*
      .then(() => {
        this.$router.push('/');
      });
      */
    },
    google: function () {
      this.provider = 'google'
      this.$store.dispatch('googleMethod')
      this.$store.dispatch('signIn', {
        provider: this.provider
      })
      /*
      .then(() => {
        this.$router.push('/');
      });
      */
    },
  }
}
</script>

